#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <stdio.h>
#include <pslib.h>
#include <psmodules.h>
#include "ppStatsVersion.h"

static const char *cvsTag = "$Name: not supported by cvs2svn $";// CVS tag name

psString ppStatsVersion(void)
{
    psString version = NULL;            // Version, to return
    psStringAppend(&version, "%s-%s",PACKAGE_NAME,PACKAGE_VERSION);
    return version;
}

psString ppStatsVersionLong(void)
{
    psString version = ppStatsVersion(); // Version, to return
    psString tag = psStringStripCVS(cvsTag, "Name"); // CVS tag
    psStringAppend(&version, " (cvs tag %s) %s, %s", tag, __DATE__, __TIME__);
    psFree(tag);
    return version;
}
